{% extends 'base.html' %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}
    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            ERROR AL GUARDAR
        </div>
    {% endif %}

    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Agregar Nuevo Rol </h1>
        </div>

        <!-- escribir aqui -->
        <div class="bg-light border rounded border-dark p-3">
            <form method="POST">
                <div style="display: none;">
                    {{ formRolProyecto.idProyecto }}
                </div>
                <div class="m-3 ">
                    <label class="form-label">Nombre</label>
                    {{ formRolProyecto.nombre }}
                </div>
                <div class="m-3 ">
                    <label class="form-label">Descripcion</label>
                    {{ formRolProyecto.descripcion }}
                </div>
                <div class="py-5 text-center ">
                    <h4 class="text-dark"> Permisos: </h4>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar User Story</label>
                    {{ formRolProyecto.agregarUserStory }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar User Story</label>
                    {{ formRolProyecto.eliminarUserStory }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar User Story</label>
                    {{ formRolProyecto.modificarUserStory }}
                </div>

                <!-- Nuevos -->
                <div class="m-3 ">
                    <label class="form-check-label">Agregar Miembro</label>
                    {{ formRolProyecto.agregarMiembro }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Miembro</label>
                    {{ formRolProyecto.modificarMiembro }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar Miembro</label>
                    {{ formRolProyecto.eliminarMiembro }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Crear Rol</label>
                    {{ formRolProyecto.crearRol }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Rol</label>
                    {{ formRolProyecto.modificarRol }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar Rol</label>
                    {{ formRolProyecto.eliminarRol }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Crear Sprint</label>
                    {{ formRolProyecto.crearSprint }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Empezar Sprint</label>
                    {{ formRolProyecto.empezarSprint }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Finalizar Sprint</label>
                    {{ formRolProyecto.finalizarSprint }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar Sprint Backlog</label>
                    {{ formRolProyecto.agregarSprintBacklog }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Sprint Backlog</label>
                    {{ formRolProyecto.modificarSprintBacklog }}
                </div>



                <button type="submit" class="btn btn-primary">Guardar</button>
                <a class="btn btn-secondary" href="{% url 'Proyecto:RolesProyecto' idProyecto%}" role="button">Cancelar</a>
                {% csrf_token %}
            </form>
        </div>
    </div>
{% endblock %}
